/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.devices.compound;

import java.awt.Component;

import javax.swing.Box;

import org.audiochain.devices.basic.BasicAudioDevice;
import org.audiochain.devices.basic.BasicAudioDeviceUserInterfaceContext;
import org.audiochain.devices.level.PeakProgrammeMeterComponent;
import org.audiochain.model.CommandLineUserInterface;

public class BasicSppmUserInterfaceContext extends BasicAudioDeviceUserInterfaceContext {
	private static final long serialVersionUID = 1L;

	@Override
	public Component createComponent(BasicAudioDevice audioDevice) {
		Box ret = Box.createHorizontalBox();
		
		ret.add(super.createComponent(audioDevice));

		PeakProgrammeMeterComponent ppmComponent = new PeakProgrammeMeterComponent(8, 1);
		ret.add(ppmComponent);
		((BasicSppmAudioDevice) audioDevice).samplePeakProgrammeMeterAudioDevice.addPeakProgrammeMeterVisualizer(ppmComponent);
		return ret;
	}
	
	@Override
	protected CommandLineUserInterface createCommandLineUserInterface(BasicAudioDevice audioDevice) {
		return super.createCommandLineUserInterface(audioDevice);
	}
}
