/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.devices.drum;

import java.util.ArrayList;
import java.util.Collection;

/**
 * bc
 * 
 * @author Florian Paul
 *
 */
public class DrumBeat {
	private final Collection<DrumHit> hits = new ArrayList<DrumHit>();
	
	public Collection<DrumHit> getHits() {
		return hits;
	}
	
	void validate() throws DrumSchemaFormatException {
		// hits may be empty
		for(DrumHit hit : hits) {
			hit.validate();
		}
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		if(hits.isEmpty()) {
			sb.append('.');
		} else {
			for(DrumHit hit : hits) {
				sb.append(hit.toString());
			}
		}
		return sb.toString();
	}
}