/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.devices.drum;


/**
 * b
 * 
 * @author Florian Paul
 *
 */
public class DrumHit {
	
	private final String id;
	private long startFrame;
	private long endFrame;
	
	public DrumHit(String id) {
		this.id = id;
	}
	
	void validate() throws DrumSchemaFormatException {
		if (id == null) {
			throw new DrumSchemaFormatException("The drum hit must have a clip name as identifier");
		}
	}

	public String getId() {
		return id;
	}

	@Override
	public String toString() {
		return id;
	}

	public long getStartFrame() {
		return startFrame;
	}

	public void setStartFrame(long startFrame) {
		this.startFrame = startFrame;
	}

	public long getEndFrame() {
		return endFrame;
	}

	public void setEndFrame(long endFrame) {
		this.endFrame = endFrame;
	}
}
