/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.devices.frequency;

import java.awt.Component;

import org.audiochain.model.AbstractUserInterfaceContext;
import org.audiochain.model.CommandLineUserInterface;
import org.audiochain.ui.GenericCommandLineUserInterface;


public class FftAnalyzerUserInterfaceContext extends AbstractUserInterfaceContext<FftAnalyzerAudioDevice> {
	private static final long serialVersionUID = 1L;

	@Override
	protected Component createComponent(FftAnalyzerAudioDevice device) {
		return new FftAnalyzerComponent(device);
	}

	@Override
	protected CommandLineUserInterface createCommandLineUserInterface(FftAnalyzerAudioDevice device) {
		return new GenericCommandLineUserInterface(device);
	}
}
