/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.devices.latency;

import org.audiochain.model.AbstractCommandLineUserInterface;

public class LatencyCommandLineUserInterface extends AbstractCommandLineUserInterface {
	private LatencyAudioDevice device;

	LatencyCommandLineUserInterface(LatencyAudioDevice device) {
		this.device = device;
	}

	@Override
	public String getHelpString() {
		return format("Latency", getDisplayString(), "Latency in frames, min: " + LatencyAudioDevice.MIN_LATENCY + ", max: " + LatencyAudioDevice.MAX_LATENCY);
	}

	@Override
	public String getDisplayString() {
		return "" + (char) 9716 + device.getLatency();
	}

	@Override
	public boolean modifyAudioDevice(String propertyName, String newValue) throws Exception {
		if ("Latency".equals(propertyName)) {
			device.setLatency(Integer.parseInt(newValue));
			return true;
		}
		return false;
	}
}
