/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.devices.recording;

import org.audiochain.model.AudioChannels;


public interface RecordingAudioDeviceListener {
	public void audioFileSequenceAdded(AudioFileSequence sequence);
	public void audioFileSequenceRemoved(AudioFileSequence sequence);
	public void audioFileSequenceActivated(AudioFileSequence sequence);
	public void audioFileSequenceUpdated(AudioFileSequence sequence);
	public void audioFileFrameOffsetChanged(AudioFile audioFile, long oldFrameOffset, long newFrameOffset);
	public void newAudioFileAdded(AudioFile audioFile);
	public void audioFileDeleted(AudioFile audioFile);
	public void audioFileSequenceDeleted(AudioFileSequence sequence);
	public void audioChannelsChanged(AudioChannels oldAudioChannels, AudioChannels newAudioChannels);
	public void audioFileSequenceCreationPolicyChanged(AudioFileSequenceCreationPolicy oldPolicy, AudioFileSequenceCreationPolicy newPolicy);
}
