/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.io;

import java.io.IOException;

abstract public class AbstractAudioDataReaderChainLink implements AudioDataReaderChainLink {
	protected AudioDataReader source;

	public AbstractAudioDataReaderChainLink(AudioDataReader source) {
		this.source = source;
	}

	@Override
	public void close() throws IOException {
		source.close();
	}

	@Override
	public void stop() {
		if (source != null) {
			source.stop();
		}
	}

	@Override
	public void seek(long framePosition) throws IOException {
		source.seek(framePosition);
	}

	@Override
	public void setSource(AudioDataReader source) {
		this.source = source;
	}

	@Override
	public AudioDataReader getSource() {
		return source;
	}

}
