/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.model;

import java.io.IOException;


public interface AudioProjectListener {
	public void audioProjectNameChanged(String oldValue, String newValue);
	public void audioProjectPathChanged(String oldValue, String newValue);
	public void audioProjectTemplateFileNameChanged(String oldValue, String newValue);
	public void audioProjectSampleRateChanged(int oldValue, int newValue);
	public void audioProjectSampleSizeInBitsChanged(int oldValue, int newValue);
	public void audioProjectBigEndianChanged(boolean oldValue, boolean newValue);
	public void audioProjectChannelsChanged(AudioChannels oldValue, AudioChannels newValue);
	public void audioTrackAdded(AudioTrack track);
	public void audioTrackRemoved(AudioTrack track);
	public void audioTrackMoved(AudioTrack track);
	public void audioProjectFrameLengthChanged();
	public void audioProjectFramePositionChanged(long oldValue, long newValue) throws IOException;
}
