/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.model;

import java.io.IOException;

import org.audiochain.io.AudioIOException;

public interface AudioTrackListener {
	public void audioTrackNameChanged(AudioTrack audioTrack, String oldValue, String newValue);
	public void audioTrackDescriptionChanged(AudioTrack audioTrack, String oldValue, String newValue);
	public void audioTrackSourceAudioDeviceChanged(AudioTrack audioTrack, SourceAudioDevice oldValue, SourceAudioDevice newValue);
	public void audioTrackSelectedForRecordingChanged(AudioTrack audioTrack, boolean oldValue, boolean newValue) throws IOException, AudioIOException;
	public void audioTrackHiddenChanged(AudioTrack audioTrack, boolean oldValue, boolean newValue);
	public void audioTrackEnabledChanged(AudioTrack audioTrack, boolean oldValue, boolean newValue);
}
