/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.model;

import java.io.IOException;
import java.util.Collection;

import org.audiochain.io.AudioIOException;
import org.audiochain.io.FrameObserver;


public interface Performable {
	public void start(long framePosition) throws IOException, AudioIOException;
	public void stop();
	public void close() throws IOException;
	public void join();
	public void seek(long framePosition) throws IOException;
	public FrameObserver getFrameObserver();
	public Collection<Throwable> getErrors();
	public void addPerformanceListener(PerformanceListener listener);
	public void removePerformanceListener(PerformanceListener listener);
	public boolean isRecording();
	public boolean isRunning();
	public void joinStopped();
	public void setPerformanceMonitor(Monitorable monitor);
}
