/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.model;

import java.util.Collection;

public interface RemoteBinaryDatasetProvider {
	/**
	 * For transmission to the remote project. This should return a list of datasets that do not exist on the remote side, identified while running the process()-method.
	 * This (network) side must identify which datasets are relevat to be updated on the remote (network) side.
	 */
	public Collection<BinaryDataset> getAdditionalBinaryDatasetsForRemote();
}
