/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.model;


public class StringAudioDeviceValue extends AudioDeviceValue {
	protected String value;

	public StringAudioDeviceValue(AudioDevice audioDevice, String name, String value) {
		super(audioDevice, name);
		this.value = value;
	}

	@Override
	protected void copy(AudioDeviceValue from) {
		setValueAsString(((StringAudioDeviceValue) from).value);
	}

	@Override
	public void setValueAsString(String value) {
		String oldValue = this.value;
		this.value = value;
		if (!isEqual(oldValue, value)) {
			fireAudioDeviceValueChanged(oldValue, value);
		}
	}

	@Override
	public String getValueAsString() {
		return value;
	}

	@Override
	public String getHelpString() {
		return format(getDisplayString());
	}
}
