/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.ui;

import java.util.Comparator;

/**
 * Contains values for a specific chunk of samples.
 */
@Deprecated
public class LevelEvent {
	public static final Comparator<LevelEvent> FRAME_COMPARATOR = new Comparator<LevelEvent>() {
		@Override
		public int compare(LevelEvent o1, LevelEvent o2) {
			return Long.valueOf(o1.frame).compareTo(Long.valueOf(o2.frame));
		}
	};
	private long frame;
	private long frameLatency;
	private float sampleMaximum; // 2 ^ sample size in bits
	
	private float leftPeakInDecibel;
	private float rightPeakInDecibel;
	
	private float leftPeakSample;
	private float rightPeakSample;
	
	/* contains the peak value for visualization. Its value
	 * is between 0.0 and 1.0 and represents the decibel value
	 * in a square root scale. */
	private float leftPeakSqrtFactor;
	private float rightPeakSqrtFactor;

	private boolean leftClip;
	private boolean rightClip;
	

	public long getFrame() {
		return frame;
	}

	public void setFrame(long frame) {
		this.frame = frame;
	}

	public float getLeftPeakInDecibel() {
		return leftPeakInDecibel;
	}

	public void setLeftPeakInDecibel(float leftPeakInDecibel) {
		this.leftPeakInDecibel = leftPeakInDecibel;
	}

	public float getRightPeakInDecibel() {
		return rightPeakInDecibel;
	}

	public void setRightPeakInDecibel(float rightPeakInDecibel) {
		this.rightPeakInDecibel = rightPeakInDecibel;
	}

	public float getSampleMaximum() {
		return sampleMaximum;
	}

	public void setSampleMaximum(float sampleMaximum) {
		this.sampleMaximum = sampleMaximum;
	}

	public float getLeftPeakSample() {
		return leftPeakSample;
	}

	public void setLeftPeakSample(float leftPeakSample) {
		this.leftPeakSample = leftPeakSample;
	}

	public float getRightPeakSample() {
		return rightPeakSample;
	}

	public void setRightPeakSample(float rightPeakSample) {
		this.rightPeakSample = rightPeakSample;
	}

	@Override
	public String toString() {
		return frame + " " + leftPeakInDecibel + " " + rightPeakInDecibel;
	}

	public float getRightPeakSqrtFactor() {
		return rightPeakSqrtFactor;
	}

	public void setRightPeakSqrtFactor(float rightPeakSqrtFactor) {
		this.rightPeakSqrtFactor = rightPeakSqrtFactor;
	}

	public float getLeftPeakSqrtFactor() {
		return leftPeakSqrtFactor;
	}

	public void setLeftPeakSqrtFactor(float leftPeakSqrtFactor) {
		this.leftPeakSqrtFactor = leftPeakSqrtFactor;
	}

	public boolean isLeftClip() {
		return leftClip;
	}

	public void setLeftClip(boolean leftClip) {
		this.leftClip = leftClip;
	}

	public boolean isRightClip() {
		return rightClip;
	}

	public void setRightClip(boolean rightClip) {
		this.rightClip = rightClip;
	}

	public long getFrameLatency() {
		return frameLatency;
	}

	public void setFrameLatency(long frameLatency) {
		this.frameLatency = frameLatency;
	}
}
