/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.ui;

public class UIFormatHelper {
	public static String formatTime(long seconds) {
		if (seconds < 0) {
			return "--:--";
		}
		long min = seconds / 60L;
		long sec = seconds % 60L;
		String formattedTime = (min < 10 ? "0" : "") + min + ':' + (sec < 10 ? "0" : "") + sec;
		return formattedTime;
	}
	
	public static String formatByteCount(long byteCount) {
		if (byteCount < 1000L) {
			return byteCount + "B";
		}
		if (byteCount < 1000000L) {
			return (byteCount / 1000L) + "kB";
		}
		if (byteCount < 1000000000L) {
			return (byteCount / 1000000L) + "MB";
		}
		return (byteCount / 1000000000L) + "GB";
	}
}
