/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.ui.gui;

import java.util.Collection;

import javax.swing.Box;
import javax.swing.BoxLayout;

import org.audiochain.model.AudioDevice;
import org.audiochain.model.AudioDeviceValue;

public class GenericAudioDeviceComponent extends Box {
	private static final long serialVersionUID = 1L;
	private final AudioDevice audioDevice;

	public GenericAudioDeviceComponent(AudioDevice audioDevice) {
		super(BoxLayout.Y_AXIS);
		this.audioDevice = audioDevice;
		init();
	}

	private void init() {
		setOpaque(false);

		Collection<AudioDeviceValue> audioDeviceValues = audioDevice.getAudioDeviceValues();
		if (audioDeviceValues != null) {
			for (AudioDeviceValue audioDeviceValue : audioDeviceValues) {
				add(new AudioDeviceValueComponent(audioDeviceValue));
			}
		}
	}
}
