/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.ui.gui;

import java.awt.Component;

import org.audiochain.model.AbstractUserInterfaceContext;
import org.audiochain.model.AudioDevice;
import org.audiochain.model.CommandLineUserInterface;
import org.audiochain.ui.GenericCommandLineUserInterface;


public class GenericUserInterfaceContext<D extends AudioDevice> extends AbstractUserInterfaceContext<D> {
	private static final long serialVersionUID = 1L;
	
	@Override
	public Component createComponent(D audioDevice) {
		return new GenericAudioDeviceComponent(audioDevice);
	}

	@Override
	protected CommandLineUserInterface createCommandLineUserInterface(D audioDevice) {
		return new GenericCommandLineUserInterface(audioDevice);
	}
}
