/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.ui.gui;

import java.io.Serializable;

public class GuiSettingsDialogResult implements Serializable {
	private static final long serialVersionUID = 1L;
	private String dialogResult;

	public GuiSettingsDialogResult() {

	}

	public GuiSettingsDialogResult(String dialogResult) {
		this.dialogResult = dialogResult;
	}

	public String getDialogResult() {
		return dialogResult;
	}

	public void setDialogResult(String dialogResult) {
		this.dialogResult = dialogResult;
	}

	@Override
	public int hashCode() {
		return dialogResult.hashCode();
	}

	@Override
	public boolean equals(Object other) {
		if (other == this) {
			return true;
		}
		if (!(other instanceof GuiSettingsDialogResult)) {
			return false;
		}
		GuiSettingsDialogResult o = (GuiSettingsDialogResult) other;
		return o.dialogResult != null && o.dialogResult.equals(dialogResult);
	}

}
