/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.ui.gui;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.JCheckBox;

import org.audiochain.ui.LightEmittingDiode;


public class LightEmittingDiodeCheckBox extends JCheckBox {
	private static final long serialVersionUID = 1L;

	public LightEmittingDiodeCheckBox() {
		this(null, false, LightEmittingDiode.GREEN, 10, 10);
	}

	public LightEmittingDiodeCheckBox(String text, boolean selected) {
		this(text, selected, LightEmittingDiode.GREEN, 10, 10);
	}

	public LightEmittingDiodeCheckBox(String text) {
		this(text, false, LightEmittingDiode.GREEN, 10, 10);
	}

	public LightEmittingDiodeCheckBox(String text, boolean selected, int width, int height) {
		this(text, selected, LightEmittingDiode.GREEN, width, height);
	}

	public LightEmittingDiodeCheckBox(String text, boolean selected, int baseColor, int width, int height) {
		super(text, selected);
		init(baseColor, width, height);
	}

	private void init(int baseColor, int width, int height) {
		setOpaque(false);
		LightEmittingDiode led = new LightEmittingDiode(baseColor, width, height);
		setIcon(led.getDisabledIcon());
		setSelectedIcon(led.getEnabledIcon());
		setToolTipText(isSelected()?"on":"off");
		addItemListener(new ItemListener() {
			@Override
			public void itemStateChanged(ItemEvent e) {
				setToolTipText(isSelected()?"on":"off");
			}
		});
	}

}
