/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.ui.sync;

import java.util.Collection;

import org.audiochain.model.AudioProject;
import org.audiochain.ui.AudioProjectModificationObserver;

abstract class SyncAudioProjectModificationObserver extends AudioProjectModificationObserver implements SyncCommandProvider {
	protected final CommandSyncSocket commandSyncSocket;

	public SyncAudioProjectModificationObserver(final AudioProject audioProject, CommandSyncSocket commandSyncSocket) {
		super(audioProject);
		this.commandSyncSocket = commandSyncSocket;
		commandSyncSocket.addSyncSocketListener(new SyncSocketAdapter() {
			@Override
			public void syncSocketClosed(CommandSyncSocket syncSocket) {
				unregisterFromAudioProject(audioProject);
			}
		});
	}

	@Override
	abstract public Collection<SyncCommand> getSyncCommands();
}
