/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.ui.sync;


abstract class SyncSocketAdapter implements SyncSocketListener {

	@Override
	public void syncSocketOpened(SyncSocket syncSocket) {
		if(syncSocket instanceof CommandSyncSocket) {
			syncSocketOpened((CommandSyncSocket)syncSocket);
		} else if(syncSocket instanceof BinarySyncSocket) {
			syncSocketOpened((BinarySyncSocket)syncSocket);
		}
	}
	
	public void syncSocketOpened(@SuppressWarnings("unused") CommandSyncSocket syncSocket) {
		
	}
	
	public void syncSocketOpened(@SuppressWarnings("unused") BinarySyncSocket syncSocket) {

	}

	@Override
	public void syncSocketClosed(SyncSocket syncSocket) {
		if(syncSocket instanceof CommandSyncSocket) {
			syncSocketClosed((CommandSyncSocket)syncSocket);
		} else if(syncSocket instanceof BinarySyncSocket) {
			syncSocketClosed((BinarySyncSocket)syncSocket);
		}
	}

	public void syncSocketClosed(@SuppressWarnings("unused") CommandSyncSocket syncSocket) {

	}

	public void syncSocketClosed(@SuppressWarnings("unused") BinarySyncSocket syncSocket) {

	}

	@Override
	public void syncSocketExceptionOccured(Exception ex) {
		
	}

}
